'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var network = require('@shopify/network');
var hooks = require('../hooks.js');

function RequireSriFor({
  scripts,
  styles
}) {
  const value = [];
  if (scripts) {
    value.push(network.SriAsset.Script);
  }
  if (styles) {
    value.push(network.SriAsset.Style);
  }
  hooks.useCspDirective(network.CspDirective.RequireSriFor, value);
  return null;
}

exports["default"] = RequireSriFor;
