import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function BaseUri({
  uri
}) {
  useCspDirective(CspDirective.BaseUri, uri);
  return null;
}

export { BaseUri as default };
