import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function ChildSource({
  sources
}) {
  useCspDirective(CspDirective.ChildSrc, sources);
  return null;
}

export { ChildSource as default };
