import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function DefaultSource({
  sources
}) {
  useCspDirective(CspDirective.DefaultSrc, sources);
  return null;
}

export { DefaultSource as default };
