import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function FontSource({
  sources
}) {
  useCspDirective(CspDirective.FontSrc, sources);
  return null;
}

export { FontSource as default };
