import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function FrameAncestors({
  sources
}) {
  useCspDirective(CspDirective.FrameAncestors, sources);
  return null;
}

export { FrameAncestors as default };
