import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function ManifestSource({
  sources
}) {
  useCspDirective(CspDirective.ManifestSrc, sources);
  return null;
}

export { ManifestSource as default };
