import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function MediaSource({
  sources
}) {
  useCspDirective(CspDirective.MediaSrc, sources);
  return null;
}

export { MediaSource as default };
