import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function ReportUri({
  uri
}) {
  useCspDirective(CspDirective.ReportUri, uri);
  return null;
}

export { ReportUri as default };
