import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function ScriptSource({
  sources
}) {
  useCspDirective(CspDirective.ScriptSrc, sources);
  return null;
}

export { ScriptSource as default };
