import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function UpgradeInsecureRequests({
  value = true
}) {
  useCspDirective(CspDirective.UpgradeInsecureRequests, value);
  return null;
}

export { UpgradeInsecureRequests as default };
