import type { CookieSerializeOptions } from 'cookie';
export type CookieValue = {
    value: string;
} & CookieSerializeOptions;
export interface Cookie {
    [key: string]: CookieValue;
}
export declare class ServerCookieManager {
    private readonly cookies;
    constructor(cookies?: Cookie | string);
    getCookie(name: string): string | undefined;
    getCookies(): {
        [x: string]: CookieValue;
    };
    setCookie(name: string, value: string | CookieValue): void;
    removeCookie(name: string): void;
    clear(): void;
}
//# sourceMappingURL=ServerCookieManager.d.ts.map