import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function BlockAllMixedContent({
  value = true
}) {
  useCspDirective(CspDirective.BlockAllMixedContent, value);
  return null;
}

export { BlockAllMixedContent as default };
