import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function ConnectSource({
  sources
}) {
  useCspDirective(CspDirective.ConnectSrc, sources);
  return null;
}

export { ConnectSource as default };
