import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function FrameSource({
  sources
}) {
  useCspDirective(CspDirective.FrameSrc, sources);
  return null;
}

export { FrameSource as default };
