import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function ImageSource({
  sources
}) {
  useCspDirective(CspDirective.ImgSrc, sources);
  return null;
}

export { ImageSource as default };
