import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function ObjectSource({
  sources
}) {
  useCspDirective(CspDirective.ObjectSrc, sources);
  return null;
}

export { ObjectSource as default };
