import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function PrefetchSource({
  sources
}) {
  useCspDirective(CspDirective.PrefetchSrc, sources);
  return null;
}

export { PrefetchSource as default };
