import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function Sandbox({
  allowed
}) {
  useCspDirective(CspDirective.Sandbox, allowed);
  return null;
}

export { Sandbox as default };
