import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function StyleSource({
  sources
}) {
  useCspDirective(CspDirective.StyleSrc, sources);
  return null;
}

export { StyleSource as default };
