import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function WebRtcSource({
  sources
}) {
  useCspDirective(CspDirective.WebrtcSrc, sources);
  return null;
}

export { WebRtcSource as default };
