import { CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function WorkerSource({
  sources
}) {
  useCspDirective(CspDirective.WorkerSrc, sources);
  return null;
}

export { WorkerSource as default };
