import type { Language } from 'accept-language-parser';
import type { CspDirective, StatusCode } from '@shopify/network';
import type { NetworkManager } from './manager';
export declare function useNetworkEffect(perform: (network: NetworkManager) => void): void;
export declare function useCspDirective(directive: CspDirective, source: string | string[] | boolean): void;
export declare function useRequestHeader(header: string): string | undefined;
export declare function useHeader(header: string, value: string): void;
export declare function useNetworkManager(): NetworkManager | null;
export declare function useStatus(code: StatusCode): void;
export declare function useRedirect(url: string, status?: StatusCode): void;
export declare function useAcceptLanguage(fallback?: Language): Language[];
//# sourceMappingURL=hooks.d.ts.map